Subject: Re: [RFC][PATCH 0/3] TCP/IP Critical socket communication mechanism

From: Andi Kleen <[email-masked]>
Date: Wed, 14 Dec 2005 10:22:28 +0100

> I would appreciate any feedback or comments on this approach.

Maybe I'm missing something but wouldn't you need an own critical
pool (or at least reservation) for each socket to be safe against deadlocks?

Otherwise if a critical sockets needs e.g. 2 pages to finish something
and 2 critical sockets are active they can each steal the last pages
from each other and deadlock.

-Andi